﻿Type=Service
Version=5.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	
	Private OKJ As HttpJob ' <======== Nécessite la librairie OKHttpUtils2 et non pas les 2 services 
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	
	OKJ.Initialize("OKJ",Me) ' <===== On initialise une fois le service
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub

'Cette Sub va traiter le retour du fichier télécharger depuis le serveur
Sub Jobdone(Job As HttpJob)
	If Job.Success Then 'Si le retour est OK alors on traite le fichier
		LogColor("Contenu téléchargé", Colors.Blue)
		CallSubDelayed2(Main,"TraiterFichier",Job.GetString)	' <=== On appelle la Sub dans Main et on lui passe la réponse
		
	Else 				'Si le retour est en erreur, on affiche la raison
		LogColor($"Erreur! ${Job.ErrorMessage}"$,Colors.Red)
	End If
	Job.Release
End Sub

'Cette Sub initie le téléchargement du fichier depuis le serveur
Sub Telecharger
	If OKJ.IsInitialized Then
		OKJ.Download(Main.link1)
	Else
		LogColor("OKJ non initialisé",Colors.Blue)
	End If
End Sub
